Pango::Font(3pm)

NAME
Pango::Font - a rendering-system independent font representation

HIERARCHY
  Glib::Object
  +----Pango::Font

METHODS

  fontdescription = $font->describe

  fontdescription = $font->describe_with_absolute_size
Since: pango 1.14

  list = Pango::extents_to_pixels ($inclusive, $nearest)

•   $inclusive (array reference)

•   $nearest (array reference)

Since: pango 1.16

  fontmap = $font->get_font_map
Since: pango 1.10

  list = $font->get_glyph_extents ($glyph)

•   $glyph (integer)

  fontmetrics = $font->get_metrics ($language)

•   $language (Pango::Language)

  integer = Pango::units_from_double ($d)

•   $d (double)

Since: pango 1.16

  double = Pango::units_to_double ($i)

•   $i (integer)

Since: pango 1.16

SEE ALSO
Pango, Glib::Object

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Pango for a full notice.